{
  "name": "muyue-web",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "preview": "vite preview"
  },
  "dependencies": {
    "@codemirror/commands": "^6.10.3",
    "@codemirror/lang-go": "^6.0.1",
    "@codemirror/lang-javascript": "^6.2.5",
    "@codemirror/lang-json": "^6.0.2",
    "@codemirror/lang-markdown": "^6.5.0",
    "@codemirror/lang-python": "^6.2.1",
    "@codemirror/lang-yaml": "^6.1.3",
    "@codemirror/language": "^6.12.3",
    "@codemirror/search": "^6.7.0",
    "@codemirror/state": "^6.6.0",
    "@codemirror/theme-one-dark": "^6.1.3",
    "@codemirror/view": "^6.41.1",
    "@xterm/addon-fit": "^0.11.0",
    "@xterm/addon-image": "^0.10.0-beta.203",
    "@xterm/addon-search": "^0.17.0-beta.203",
    "@xterm/addon-unicode11": "^0.10.0-beta.203",
    "@xterm/addon-web-links": "^0.12.0",
    "@xterm/addon-webgl": "^0.20.0-beta.202",
    "@xterm/xterm": "^6.1.0-beta.203",
    "highlight.js": "^11.11.1",
    "katex": "^0.16.45",
    "lucide-react": "^1.8.0",
    "mermaid": "^11.14.0",
    "react": "^19.2.5",
    "react-dom": "^19.2.5",
    "react-markdown": "^10.1.0",
    "rehype-highlight": "^7.0.2",
    "rehype-katex": "^7.0.1",
    "remark-gfm": "^4.0.1",
    "remark-math": "^6.0.0"
  },
  "devDependencies": {
    "@vitejs/plugin-react": "^6.0.1",
    "vite": "^8.0.9"
  }
}
